﻿using System;
using System.Collections.Generic;
using System.IO.IsolatedStorage;
using System.Windows;
using System.Windows.Controls;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace SampleProject
{
    public partial class MainPage : PhoneApplicationPage
    {
        private IsolatedStorageSettings settings = IsolatedStorageSettings.ApplicationSettings;

        public MainPage()
        {
            this.InitializeComponent();

            this.DataContext = new ViewModel();
            
            ControlTemplate template = (ControlTemplate)this.Resources["MessageBoxTemplate"];
         
            RadMessageBox.Show(template, "title", new List<string> { "ok", "cancel" }, "Message", "do not display this message any more", false, closedHandler: (args) =>
            {
                var isChecked = args.IsCheckBoxChecked;
                if (this.settings.Contains("ShowMessageBox"))
                {
                    this.settings["ShowMessageBox"] = !isChecked;
                }
                else
                {
                    this.settings.Add("ShowMessageBox", !isChecked);
                }
                this.settings.Save();
            });
        }

        public void PART_ButtonsPanel_Loaded(object sender, RoutedEventArgs e)
        {
        }
    }
}